
<div class="modal fade" role="dialog" [ngClass]="{'in showPopup': mypopup}">
    <div class="modal-dialog">
        <!-- Modal content-->
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" (click)="closePopup()" >
                    &times;
                </button>
                <h4 class="modal-title">Ticket Form </h4>
            </div>
            <div class="modal-body">
                <form [formGroup]="ContractForm">
                    <div class="form-group">
                        <label for="ContractNumber">Contract Number : </label>
                        <select formControlName="ContractNumber" class="form-control" (change)="getLabour(ContractForm.get('ContractNumber').value)">
                        <option *ngFor="let item of contractList" [value]="item.ContractNumber">
                          {{item.ContractNumber}}
                        </option>
                      </select>
                        <span class="form_error"  *ngIf="submited && ContractForm.get('ContractNumber').errors?.required">* contractnumber is required</span>
                    </div>
                    <div class="form-group">
                        <label for="LabourID">Labour ID : </label>
                        <select formControlName="LabourID" class="form-control">
                        <option *ngFor="let item of labourList" [value]="item.EmployeeId">
                          {{item.EmployeeId}}
                        </option>
                      </select>
                    </div>
                    <div class="form-group">
                        <label for="TicketType">Ticket Type : </label>
                        <select formControlName="TicketType" class="form-control" (change)="getDepartment(ContractForm.get('TicketType').value)">
                        <option *ngFor="let item of ticketTypeList" [value]="item.ID">
                          {{item.Name}}
                        </option>
                      </select>
                        <span class="form_error"  *ngIf="submited && ContractForm.get('TicketType').errors?.required">* TicketType is required</span>
                    </div>

                    <div class="form-group">
                        <label for="Department">Department : </label>
                        <select formControlName="Department" class="form-control" (change)="getAssigntoGroup(ContractForm.get('Department').value)">
                        <option *ngFor="let item of departmentList" [value]="item.ID">
                          {{item.Name}}
                        </option>
                      </select>
                        <span class="form_error"  *ngIf="submited && ContractForm.get('Department').errors?.required">* Department is required</span>
                    </div>
                    <div class="form-group">
                        <label for="AssignedTo">Assigned To : </label>
                        <select formControlName="AssignedTo" class="form-control">
                        <option *ngFor="let item of assignToList" [value]="item.ID">
                          {{item.Name}}
                        </option>
                      </select>
                    </div>
                    <div class="form-group">
                        <label for="Priority">Priority : </label>
                        <select formControlName="Priority" class="form-control">
                        <option *ngFor="let item of priorityList" [value]="item.ID">
                          {{item.Name}}
                        </option>
                      </select>
                    </div>

                    <div class="form-group">
                        <label for="Category">Category : </label>
                        <select formControlName="Category" class="form-control" (change)="getSubCategory(ContractForm.get('Category').value)">
                        <option *ngFor="let item of categoryList" [value]="item.TicketGroupID">
                          {{item.TicketGroupName}}
                        </option>
                      </select>
                        <span class="form_error"  *ngIf="submited && ContractForm.get('Category').errors?.required">* Category is required</span>
                    </div>

                    <div class="form-group">
                        <label for="SubCategory">Sub Category : </label>
                        <select formControlName="SubCategory" class="form-control">
                        <option *ngFor="let item of subcategoryList" [value]="item.Id">
                          {{item.Description}}
                        </option>
                      </select>
                        <span class="form_error"  *ngIf="submited && ContractForm.get('SubCategory').errors?.required">* SubCategory is required</span>
                    </div>

                    <div class="form-group">
                        <label for="TicketSubject">Ticket Subject : </label>
                        <input type="text" class="form-control"  formControlName="TicketSubject">
                        <span class="form_error" *ngIf="submited  && ContractForm.get('TicketSubject').errors?.required">* TicketSubject is required</span>
                    </div>
                    <div class="form-group">
                        <label for="Description">Description :</label>
                        <textarea formControlName="Description" cols="30" rows="5" class="form-control" ></textarea>
                        <span class="form_error" *ngIf="submited  && ContractForm.get('Description').errors?.required">* Description is required</span>
                    </div>
                    <div class="form-group">
                        <label for="TicketSubject">You can upload a file : </label>
                        <input type="file" class="form-control" formControlName="UploadFile"
                        (change)="fileInputget($event.target.files)">
                        <span class="form_error" *ngIf="submited  && ContractForm.get('UploadFile').errors?.required">* File is required</span>
                    </div>

                    <div class="modal-footer form-group">
                        <input type="submit" (click)="submit()" value="Save" class="btn btn-primary">
                    </div>
                </form>
                    
            </div>
        </div>

    </div>
</div>